import { Meta, Canvas } from "@storybook/blocks";
import * as ComponentStories from "./my-service-calls-detail.stories";

<Meta of={ComponentStories} name="Docs" />

# My Service Calls Detail

Displays detailed information for a service call.

### Notes for Typo 3 Implementation

Please use the new integration only for the main template `.cexp-service-calls-detail.service-calls-detail`.
Don't use the new modal `ux-modal` and file upload `ux-iws-file-upload` components for the modals "Fall ergänzen", "Rückruf anfordern" and "Fall schliessen" with the integrated forms. You can visually follow the new layout but technically they have to be integrated according to the existing functionality, see Patternlab https://trumpf-styleguide.dev.tru/patterns/04-templates-09-MyTRUMPF-23-service-calls-detail/04-templates-09-MyTRUMPF-23-service-calls-detail.html
But please do use `ux-modal` for the new technical guides modal as it is demonstrated here.

## Stylesheet

To include the styles for this page in TYPO3, add the following line:

```html
<link
    rel="stylesheet"
    href="/typo3conf/ext/trumpf_ux/Resources/Public/ux.integration-web-styleguide/styles/service-calls-detail.css"
/>
<link
    rel="stylesheet"
    href="/typo3conf/ext/trumpf_ux/Resources/Public/ux.integration-web-styleguide/styles/service-calls-technical-guides-modal.css"
/>
```
